> For the complete documentation index, see [llms.txt](https://docs.scrapingdog.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scrapingdog.com/ebay-scraper-api/ebay-product-api.md).

# eBay Product API

You have to send a GET request to **`https://api.scrapingdog.com/ebay/product`** with the below given parameters.

### Parameters

#### Scrapingdog Parameters

| Parameter                                                          | Description                                                                                                                                                                 |
| ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>api\_key<br></p><p><mark style="color:red;">required</mark></p> | <p>Your personal API key. Available on your dashboard <br><br>Type: <em><strong>String</strong></em></p>                                                                    |
| html                                                               | <p>This will return the full HTML of the Ebay page. </p><p><br>Default Value - <strong><code>false</code></strong> <br><br>Type - <strong><code>Boolean</code></strong></p> |

#### Search Query

| Parameter                                                     | Description                                                                          |
| ------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| <p>url<br></p><p><mark style="color:red;">required</mark></p> | <p>URL of the Ebay Product Page. <br><br>Type - <em><strong>String</strong></em></p> |

### API Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl "https://api.scrapingdog.com/ebay/product?api_key=APIKEY&url=https://www.ebay.co.uk/itm/305209925234"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.scrapingdog.com/ebay/product"
params = {
    "api_key": "APIKEY",
    "url": "https://www.ebay.co.uk/itm/305209925234",
}

response = requests.get(url, params=params)

if response.status_code == 200:
    data = response.json()
    print(data)
else:
    print(f"Request failed with status code {response.status_code}")

```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

const url = 'https://api.scrapingdog.com/ebay/product';
const params = {
  api_key: 'APIKEY',
  url: 'https://www.ebay.co.uk/itm/305209925234'
};

axios
  .get(url, { params })
  .then((response) => {
    if (response.status === 200) {
      const data = response.data;
      console.log(data);
    } else {
      console.log(`Request failed with status code ${response.status}`);
    }
  })
  .catch((error) => {
    console.error('Request failed with an error:', error);
  });

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$apiUrl = 'https://api.scrapingdog.com/ebay/product';
$apiKey = 'APIKEY';
$url = 'https://www.ebay.co.uk/itm/305209925234';

$queryString = http_build_query([
    'api_key' => $apiKey,
    'url' => $url
]);

$fullUrl = $apiUrl . '?' . $queryString;

$ch = curl_init($fullUrl);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

if ($httpCode == 200) {
    $data = json_decode($response, true);
    print_r($data);
} else {
    echo "Request failed with status code $httpCode\n";
}

curl_close($ch);
?>

```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'

api_url = 'https://api.scrapingdog.com/ebay/product'
api_key = 'APIKEY'
url = 'https://www.ebay.co.uk/itm/305209925234'

params = {
  'api_key' => api_key,
  'url' => url
}

uri = URI(api_url)
uri.query = URI.encode_www_form(params)

response = Net::HTTP.get_response(uri)

if response.is_a?(Net::HTTPSuccess)
  data = JSON.parse(response.body)
  puts data
else
  puts "Request failed with status code #{response.code}"
end

```

{% endtab %}

{% tab title="Java" %}

```java
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class Main {
    public static void main(String[] args) {
        String apiURL = "https://api.scrapingdog.com/ebay/product";
        String apiKey = "APIKEY";
        String url = "https://www.ebay.co.uk/itm/305209925234";

        try {
            // Create the URL with query parameters
            URL url = new URL(apiURL + "?api_key=" + apiKey + "&url=" + url);
            HttpURLConnection connection = (HttpURLConnection) url.openConnection();

            // Set the request method to GET
            connection.setRequestMethod("GET");

            // Get the response code
            int responseCode = connection.getResponseCode();

            if (responseCode == 200) {
                // Read the response data
                BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                String line;
                StringBuilder response = new StringBuilder();

                while ((line = reader.readLine()) != null) {
                    response.append(line);
                }
                reader.close();

                // Print the response data
                System.out.println(response.toString());
            } else {
                System.out.println("Request failed with response code: " + responseCode);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

```

{% endtab %}
{% endtabs %}

### API Response

```json
{
    "product_results": {
        "title": "Apple iPhone 14 - 128GB - Midnight (Unlocked) Smartphone - Good Condition",
        "itemId": "305209925234",
        "seller": {
            "name": "musicMagpie Shop",
            "reviews": "13269049Business",
            "positive_feedback_percent": "99.1%",
            "thumbnail": "https://i.ebayimg.com/images/g/IKIAAOSwfQ1n0~~7/s-l64.jpg"
        },
        "likes": 122,
        "price": "£339.99",
        "extracted_price": 339.99,
        "condition": "Good - Refurbished",
        "condition_snippet": "“Fully tested and restored to factory settings by our in house technicians. - Good – This product is ”... Read moreAbout condition",
        "is_buy_it_now": false,
        "buy_it_now_link": "https://www.ebay.co.uk/atc/binctr?item=305209925234&quantity=1&fromPage=4429486&rev=223&fb=1&gch=1",
        "main_image": "https://i.ebayimg.com/thumbs/images/g/aYMAAOSw04VlLk0j/s-l500.jpg",
        "images": [
            {
                "link": "https://i.ebayimg.com/images/g/aYMAAOSw04VlLk0j/s-l500.jpg",
                "variant": "Picture 1 of 5"
            },
            {
                "link": "https://i.ebayimg.com/images/g/0xkAAOSw3UplMnOO/s-l500.jpg",
                "variant": "Picture 2 of 5"
            },
            {
                "link": "https://i.ebayimg.com/images/g/scgAAOSwM6ZlLkmS/s-l500.jpg",
                "variant": "Picture 3 of 5"
            },
            {
                "link": "https://i.ebayimg.com/images/g/KVwAAOSw7vBlLk0j/s-l500.jpg",
                "variant": "Picture 4 of 5"
            },
            {
                "link": "https://i.ebayimg.com/images/g/RwEAAOSwBn5lLk0j/s-l500.jpg",
                "variant": "Picture 5 of 5"
            }
        ],
        "shipping_details": {
            "shipping_cost": "May not post to United States. Read item description or",
            "delivery_estimate": "",
            "zip_code": "",
            "full_delivery_text": "Located in: England, United Kingdom",
            "seller_location": "Located in: England, United Kingdom"
        },
        "return_details": {
            "full_return_text": "No returns accepted .",
            "return_period": "",
            "return_shipping_paid_by": "",
            "accepts_returns": false
        },
        "payment_methods": [
            "PayPal",
            "Google Pay",
            "Visa",
            "Mastercard"
        ],
        "extensions": [
            "Add to Watchlist - 122 watchers",
            "eBay Money Back GuaranteeGet the item you ordered or your money back."
        ],
        "specifications": [
            {
                "name": "Condition",
                "value": "Good - RefurbishedThe item shows moderate wear. It is fully functional and has been professionally refurbished, inspected, tested and cleaned to good condition by qualified sellers. The item includes original or new accessories and may come in generic packaging. See the seller's listing for full details. See all condition definitionsopens in a new window or tab"
            },
            {
                "name": "Seller notes",
                "value": "“Fully tested and restored to factory settings by our in house technicians. - Good – This product is ... Read moreabout the seller notes“Fully tested and restored to factory settings by our in house technicians. - Good – This product is in good cosmetic condition, there will be signs of wear which may include scratches, visible scuffs and/or screen discoloration but nothing that will impair functionality. Battery health will be a minimum of 80%. The item has been fully tested, restored to factory settings and is in excellent working order.”Read lessabout the seller notes"
            },
            {
                "name": "Processor",
                "value": "Hexa Core"
            },
            {
                "name": "Screen Size",
                "value": "6.1 in"
            },
            {
                "name": "Chipset Model",
                "value": "Apple A15 Bionic"
            },
            {
                "name": "Lock Status",
                "value": "Network Unlocked"
            },
            {
                "name": "SIM Card Slot",
                "value": "Single SIM"
            },
            {
                "name": "Colour",
                "value": "Black"
            },
            {
                "name": "Brand",
                "value": "Apple"
            },
            {
                "name": "Network",
                "value": "Unlocked"
            },
            {
                "name": "Model",
                "value": "Apple iPhone 14"
            },
            {
                "name": "Connectivity",
                "value": "5G, Bluetooth, Wi-Fi, Lightning, NFC"
            },
            {
                "name": "Style",
                "value": "Bar"
            },
            {
                "name": "Operating System",
                "value": "iOS"
            },
            {
                "name": "Features",
                "value": "Proximity Sensor, E-compass, Gyro Sensor, Accelerometer, Crash Detection, Ambient Light Sensor, Barometer, Ultra Wide-Angle Camera, eSIM"
            },
            {
                "name": "Storage Capacity",
                "value": "128 GB"
            },
            {
                "name": "Camera Resolution",
                "value": "12.0 MP"
            },
            {
                "name": "RAM",
                "value": "6 GB"
            }
        ],
        "item_description_from_seller": "https://itm.ebaydesc.com/itmdesc/305209925234?t=0&category=9355&seller=musicmagpie&excSoj=1&ver=1&excTrk=1&lsite=3&ittenable=false&domain=ebay.com&descgauge=1&cspheader=1&oneClk=2&secureDesc=1",
        "product": {
            "product_id": "305209925234",
            "rating": 5,
            "feature_rating": [
                {
                    "text": "Accurate description",
                    "percentage": 98
                },
                {
                    "text": "Reasonable postage cost",
                    "percentage": 100
                },
                {
                    "text": "Delivery time",
                    "percentage": 98
                },
                {
                    "text": "Communication",
                    "percentage": 100
                },
                {
                    "text": "Accurate description",
                    "percentage": 98
                },
                {
                    "text": "Reasonable postage cost",
                    "percentage": 100
                },
                {
                    "text": "Delivery time",
                    "percentage": 98
                },
                {
                    "text": "Communication",
                    "percentage": 100
                }
            ],
            "reviews": 13269049,
            "reviews_histogram": {
                "1": 10748,
                "2": 25078,
                "3": 83595,
                "4": 1972444,
                "5": 11177184
            }
        },
        "about_seller": {
            "name": "musicMagpie Shop",
            "bio": "",
            "positive_feedback_percent": 99.1,
            "items_sold": 0,
            "joined": "",
            "link": "https://www.ebay.co.uk/str/musicmagpie?_trksid=p4429486.m3561.l161211",
            "contact": "https://www.ebay.co.uk/cnt/FindAnswers?ShowSellerFAQ=&item_id=305209925234&requested=musicmagpie&redirect=0&frm=284&rt=nc&ssPageName=PageSellerM2MFAQ_VI&_trksid=p4429486.m3561.l170198&_caprdt=1",
            "feature_rating": [
                {
                    "text": "Accurate description",
                    "rating": 4.9
                },
                {
                    "text": "Reasonable postage cost",
                    "rating": 5
                },
                {
                    "text": "Delivery time",
                    "rating": 4.9
                },
                {
                    "text": "Communication",
                    "rating": 5
                },
                {
                    "text": "Accurate description",
                    "rating": 4.9
                },
                {
                    "text": "Reasonable postage cost",
                    "rating": 5
                },
                {
                    "text": "Delivery time",
                    "rating": 4.9
                },
                {
                    "text": "Communication",
                    "rating": 5
                }
            ],
            "popular_categories": [
                {
                    "name": "Collectables",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Collectables/_i.html?_sacat=1"
                },
                {
                    "name": "Crafts",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Crafts/_i.html?_sacat=14339"
                },
                {
                    "name": "Books, Comics & Magazines",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Books-Comics-Magazines/_i.html?_sacat=267"
                },
                {
                    "name": "Business, Office & Industrial",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Business-Office-Industrial/_i.html?_sacat=12576"
                },
                {
                    "name": "Sound & Vision",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Sound-Vision/_i.html?_sacat=293"
                },
                {
                    "name": "Everything Else",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Everything-Else/_i.html?_sacat=99"
                },
                {
                    "name": "Musical Instruments & DJ Equipment",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Musical-Instruments-DJ-Equipment/_i.html?_sacat=619"
                },
                {
                    "name": "Coins",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Coins/_i.html?_sacat=11116"
                },
                {
                    "name": "Antiques",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Antiques/_i.html?_sacat=20081"
                },
                {
                    "name": "Collectables",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Collectables/_i.html?_sacat=1"
                },
                {
                    "name": "Crafts",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Crafts/_i.html?_sacat=14339"
                },
                {
                    "name": "Books, Comics & Magazines",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Books-Comics-Magazines/_i.html?_sacat=267"
                },
                {
                    "name": "Business, Office & Industrial",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Business-Office-Industrial/_i.html?_sacat=12576"
                },
                {
                    "name": "Sound & Vision",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Sound-Vision/_i.html?_sacat=293"
                },
                {
                    "name": "Everything Else",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Everything-Else/_i.html?_sacat=99"
                },
                {
                    "name": "Musical Instruments & DJ Equipment",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Musical-Instruments-DJ-Equipment/_i.html?_sacat=619"
                },
                {
                    "name": "Coins",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Coins/_i.html?_sacat=11116"
                },
                {
                    "name": "Antiques",
                    "link": "https://www.ebay.co.uk/str/musicmagpie/Antiques/_i.html?_sacat=20081"
                }
            ],
            "reviews": {
                "all_products": {
                    "total": 13269049,
                    "reviews": []
                }
            }
        },
        "sections": []
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scrapingdog.com/ebay-scraper-api/ebay-product-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
